
<!-- PROJECT LOGO -->
<br />
<p align="center">

  <h3 align="center">dockerized openAger</h3>

  <p align="center">
    Ein Docker-Stack zur Installation von openAger
    <br />
      </p>
</p>





<!-- ABOUT THE PROJECT -->
## About The Project

Dieses Projekt beinhaltet einen Docker-Stack zur schnellen Installation der Cloud Komponenten von openAger.
openAger findet sich hier: https://www.valki.com/smartager/


<!-- GETTING STARTED -->
## Getting Started

Repo klonen und Installationsanleitung befolgen!

### Prerequisites

Damit das ganze Funktioniert, muss natürlich Docker installiert sein.

Des weiteren wird für Fälle wo NICHT alles lokal im Netzwerk bleibt optional empfohlen:
* Portainer (zur bequemen Bedienung von Docker): https://hub.docker.com/r/portainer/portainer
* nginx Reverse-Proxy von jwilder https://hub.docker.com/r/jwilder/nginx-proxy
* letsencrypt - Companion für nginx von jrcs: https://hub.docker.com/r/jrcs/letsencrypt-nginx-proxy-companion

Wieso der Reverse Proxy und Letsencrypt eine feine Sache sind: http://jasonwilder.com/blog/2014/03/25/automated-nginx-reverse-proxy-for-docker/

Exemplarisch:
```sh
docker run -d -p 9000:9000 -p 8000:8000 --name portainer  --restart always -e VIRTUAL_HOST="subdomain.domain.com"   -e LETSENCRYPT_EMAIL="email@email.com"  -e LETSENCRYPT_HOST="subdomain.domain.com" -v /var/run/docker.sock:/var/run/docker.sock -v portainer_data:/data portainer/portainer-ce:latest

docker run -d --name nginx-proxy  --restart always  --publish 80:80 --publish 443:443  -v nginx_etc:/etc/nginx: -v nginx_html:/usr/share/nginx/html:  -v nginx_cert:/etc/nginx/certs: -v nginx_dhparms:/etc/nginx/dhparam: -v nginx_vhost:/etc/nginx/vhost.d: -v /var/run/docker.sock:/tmp/docker.sock:ro -v /mnt/HC_Volume_3913980/docker/volumes/nginx_template/nginx.tmpl:/app/nginx.tmpl jwilder/nginx-proxy

docker run -d --name nginx-proxy-letsencrypt  --restart always --volumes-from nginx-proxy    -v /var/run/docker.sock:/var/run/docker.sock:ro  jrcs/letsencrypt-nginx-proxy-companion

```

### Installation

1. nach /opt gehen und Repo klonen
```sh
cd /opt 
git clone  https://git.valki.com/valki/dockerized_openAger.git
```
2. Umbenennen
```sh
mv dockerized_openAger openAger
cd openAger
```
3. .env bei Bedarf bearbeiten und dann installieren
```sh
docker-compose up
```


<!-- USAGE EXAMPLES -->
## Usage

Use this space to show useful examples of how a project can be used. Additional screenshots, code examples and demos work well in this space. You may also link to more resources.

_For more examples, please refer to the [Documentation](https://example.com)_



<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.
